org.apache.hadoop.yarn.api.protocolrecords

## Class GetNodesToAttributesResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetNodesToAttributesResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public abstract class GetNodesToAttributesResponse
      extends Object

  The response sent by the `ResourceManager` to a client requesting nodes to attributes mapping.

  See Also:
    `(GetNodesToAttributesRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetNodesToAttributesResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Map<String,Set<NodeAttribute>>` | `getNodeToAttributes()` Get hostnames to NodeAttributes mapping.
    `static GetNodesToAttributesResponse` | `newInstance(Map<String,Set<NodeAttribute>> map)`
    `abstract void` | `setNodeToAttributes(Map<String,Set<NodeAttribute>> map)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetNodesToAttributesResponse

          public GetNodesToAttributesResponse()

  - ### Method Detail

    - #### newInstance

          public static GetNodesToAttributesResponse newInstance(Map<String,Set<NodeAttribute>> map)

    - #### setNodeToAttributes

          @InterfaceAudience.Public
           @InterfaceStability.Evolving
          public abstract void setNodeToAttributes(Map<String,Set<NodeAttribute>> map)

    - #### getNodeToAttributes

          @InterfaceAudience.Public
           @InterfaceStability.Evolving
          public abstract Map<String,Set<NodeAttribute>> getNodeToAttributes()

      Get hostnames to NodeAttributes mapping.
      Returns:
        Map of host to attributes.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.